Package com.fasterxml.jackson.annotation

# Class JsonTypeInfo.None

java.lang.Object
com.fasterxml.jackson.annotation.JsonTypeInfo.None

Enclosing class:
  `JsonTypeInfo`

@Deprecated public abstract static class JsonTypeInfo.None extends Object
Deprecated.
Since 2.5, use any Annotation type (such as `JsonTypeInfo`), if such behavior is needed; this is rarely necessary.
This marker class that is only to be used with `defaultImpl` annotation property, to indicate that there is no default implementation specified.

## Constructor Summary

Constructors
Constructor
Description
`None()`
Deprecated.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### None

public None()
Deprecated.